## golang-gopkg-godo.v2 2.0.9

=== Makefile ===
.PHONY: build get

build:
	@cd cmd/godo && go install -a

=== debian/changelog ===
golang-gopkg-godo.v2 (2.0.9-2) unstable; urgency=medium

  * Drop DH_GOLANG_EXCLUDES.
  * Drop override_dh_auto_test target.
  * Add override_dh_auto_configure target.
  * Add override_dh_auto_install target.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Wed, 15 May 2024 17:02:42 +0000

golang-gopkg-godo.v2 (2.0.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 13 May 2024 19:03:16 +0000

golang-gopkg-godo.v2 (2.0.9-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1071011)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 12 May 2024 22:09:27 +0000

=== debian/control ===
Source: golang-gopkg-godo.v2
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-gokyle-fswatch-dev,
               golang-github-howeyc-gopass-dev,
               golang-github-mattn-go-colorable-dev,
               golang-github-mgutz-ansi-dev,
               golang-github-mgutz-minimist-dev,
               golang-github-mgutz-str-dev,
               golang-github-michaeltjones-walk-dev,
               golang-github-nozzle-throttler-dev,
               golang-github-stretchr-testify-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-godo.v2
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-godo.v2.git
Homepage: https://github.com/go-godo/godo
XS-Go-Import-Path: gopkg.in/godo.v2

Package: golang-gopkg-godo.v2-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-gokyle-fswatch-dev,
         golang-github-howeyc-gopass-dev,
         golang-github-mattn-go-colorable-dev,
         golang-github-mgutz-ansi-dev,
         golang-github-mgutz-minimist-dev,
         golang-github-mgutz-str-dev,
         golang-github-michaeltjones-walk-dev,
         golang-github-nozzle-throttler-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: task runner and file watcher (library)
 godo is a task runner and file watcher
 for golang in the spirit of rake, gulp.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_configure:
	dh_auto_configure
	rm -v _build/src/gopkg.in/godo.v2/project_test.go   \
              _build/src/gopkg.in/godo.v2/watch_test.go     \
              _build/src/gopkg.in/godo.v2/exec_test.go      \
              _build/src/gopkg.in/godo.v2/glob/glob_test.go

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/go-godo/godo/tags .*/v?(\d\S*)\.tar\.gz debian
